[ ! -d "$HOME/n/dockerfs" ] && mkdir -pv "$HOME/n/dockerfs"

9mount 'tcp!localhost!9999' $HOME/n/dockerfs || { echo "Please make sure the file server is running"; exit 1; }

find $HOME/n/dockerfs

for i in {1..4}; do
	docker run -d -t ubuntu:latest /bin/bash
done

find $HOME/n/dockerfs

docker ps

function readfield() {
	f=$1
	for i in $(find $HOME/n/dockerfs -type f -name $f); do
		cat $i <(echo '')
	done
}

for i in $(find $HOME/n/dockerfs -type d -name "Names"); do
	for j in $(find $i -type f); do
		cat "$j" <(echo '')
	done
done

readfield Image
readfield ImageID
readfield Command
readfield Created


for i in $(find $HOME/n/dockerfs -type f -name "ID"); do
	docker kill $(cat "$i" <(echo ''))
	#docker kill $i
done

9umount $HOME/n/dockerfs
